Bug 213600 - [patch] x11-fonts/alfont unbreak
Summary: [patch] x11-fonts/alfont unbreak
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rene Ladan
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-10-18 20:21 UTC by timon
Modified: 2017-12-07 20:55 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (nemysis)


Attachments
Makefile patch & files/patch-src_alfont.c (5.14 KB, patch)
2016-10-18 20:21 UTC, timon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description timon 2016-10-18 20:21:38 UTC
Created attachment 175912 [details]
Makefile patch & files/patch-src_alfont.c

Hi,

This is a patch to unbreak x11-fonts/alfont port by converting missing file into the patch.
Comment 1 Rene Ladan freebsd_committer 2017-11-03 07:05:32 UTC
Steal from nemysis@
Comment 2 commit-hook freebsd_committer 2017-11-12 12:36:08 UTC
A commit references this bug:

Author: rene
Date: Sun Nov 12 12:35:22 UTC 2017
New revision: 454035
URL: https://svnweb.freebsd.org/changeset/ports/454035

Log:
  x11-fonts/alfont: fix build and undeprecate, also clean up fetching.

  Somehow I failed to see this patch earlier when the port originally expired.

  PR:		213600
  Submitted by:	timon at timon.net.nz
  Approved by:	maintainer timeout (nemysis@, 1 year)
  MFH:		2017Q4

Changes:
  head/x11-fonts/alfont/Makefile
  head/x11-fonts/alfont/files/
  head/x11-fonts/alfont/files/patch-src_alfont.c
Comment 3 Rene Ladan freebsd_committer 2017-11-12 12:36:27 UTC
Committed, thanks for reporting.
Comment 4 commit-hook freebsd_committer 2017-12-07 20:55:49 UTC
A commit references this bug:

Author: rene
Date: Thu Dec  7 20:55:32 UTC 2017
New revision: 455755
URL: https://svnweb.freebsd.org/changeset/ports/455755

Log:
  MFH: r454035

  x11-fonts/alfont: fix build and undeprecate, also clean up fetching.

  Somehow I failed to see this patch earlier when the port originally expired.

  PR:		213600
  Submitted by:	timon at timon.net.nz
  Approved by:	maintainer timeout (nemysis@, 1 year)

  Approved by:	ports-secteam (build-fix blanket)

Changes:
_U  branches/2017Q4/
  branches/2017Q4/x11-fonts/alfont/Makefile
  branches/2017Q4/x11-fonts/alfont/files/